# Add-RASClientPolicyConnection

### NAME

Add-RASClientPolicyConnection\ <br>

### SYNOPSIS

Adds a new connection to the Connection List.\ <br>

### SYNTAX

Add-RASClientPolicyConnection \[-Id] *\<uint>* -Mode {GatewayMode | GatewaySSLMode | DirectMode | DirectSSLMode} -Server *\<string>* -ServerPort *\<uint>* \[*\<CommonParameters>*]\
\
Add-RASClientPolicyConnection \[-InputObject] *\<ClientRules>* -Mode {GatewayMode | GatewaySSLMode | DirectMode | DirectSSLMode} -Server *\<string>* -ServerPort *\<uint>* \[*\<CommonParameters>*]\
\
Add-RASClientPolicyConnection \[-Name] *\<string>* -Mode {GatewayMode | GatewaySSLMode | DirectMode | DirectSSLMode} -Server *\<string>* -ServerPort *\<uint>* \[*\<CommonParameters>*]\ <br>

### DESCRIPTION

Adds a new connection to the Connection List\ <br>

### PARAMETERS

\
-**Mode \<Mode>**\
The mode type of connection.\
\
Possible values: GatewayMode, GatewaySSLMode, DirectMode, DirectSSLMode\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                GatewayMode
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Server \<string>**\
The Server which the user is going to connect to.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ServerPort \<uint>**\
The port of the Server.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
Name of the client policy to modify.\
\
This must be the actual client policy name used in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the client policy to modify. To obtain the ID, use the Get-RASClientPolicy cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject \<ClientRules>**\
The client policy object to modify.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

ClientRules

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASClientPolicyConnection -Id 1 -Mode "Gateway Mode" -Server "xyz" -ServerPort "80"\
\
Adds the client policy connection with the following settings with Id=1.\ <br>

### RELATED LINKS

* [Set-RASClientPolicy](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASClientPolicy.html)
* [Get-RASClientPolicy](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASClientPolicy.html)
* [Get-RASClientPolicyConnection](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASClientPolicyConnection.html)
* [Remove-RASClientPolicyConnection](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASClientPolicyConnection.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rasclientpolicyconnection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
